Skip to content
Start here

List Site WANs

client.MagicTransit.Sites.WANs.List(ctx, siteID, query) (*SinglePage[WAN], error)
GET/accounts/{account_id}/magic/sites/{site_id}/wans

Lists Site WANs associated with an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
siteID string

Identifier

maxLength32
query SiteWANListParams
AccountID param.Field[string]

Identifier

maxLength32
ReturnsExpand Collapse
type WAN struct{…}
ID stringoptional

Identifier

maxLength32
HealthCheckRate WANHealthCheckRateoptional

Magic WAN health check rate for tunnels created on this link. The default value is mid.

One of the following:
const WANHealthCheckRateLow WANHealthCheckRate = "low"
const WANHealthCheckRateMid WANHealthCheckRate = "mid"
const WANHealthCheckRateHigh WANHealthCheckRate = "high"
Name stringoptional
Physport int64optional
Priority int64optional

Priority of WAN for traffic loadbalancing.

SiteID stringoptional

Identifier

maxLength32
StaticAddressing WANStaticAddressingoptional

(optional) if omitted, use DHCP. Submit secondary_address when site is in high availability mode.

Address string

A valid CIDR notation representing an IP range.

GatewayAddress string

A valid IPv4 address.

SecondaryAddress stringoptional

A valid CIDR notation representing an IP range.

VlanTag int64optional

VLAN ID. Use zero for untagged.

List Site WANs

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_transit"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.MagicTransit.Sites.WANs.List(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    magic_transit.SiteWANListParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "health_check_rate": "low",
      "name": "name",
      "physport": 1,
      "priority": 0,
      "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "static_addressing": {
        "address": "192.0.2.0/24",
        "gateway_address": "192.0.2.1",
        "secondary_address": "192.0.2.0/24"
      },
      "vlan_tag": 42
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "health_check_rate": "low",
      "name": "name",
      "physport": 1,
      "priority": 0,
      "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "static_addressing": {
        "address": "192.0.2.0/24",
        "gateway_address": "192.0.2.1",
        "secondary_address": "192.0.2.0/24"
      },
      "vlan_tag": 42
    }
  ],
  "success": true
}